#!/bin/sh
BIN="./BSDEseg"
IDIR="./input_images"
I=`ls $IDIR`
DIR="./out_images"
IDIRM="./input_med_images"
IM=`ls $IDIRM`
DIRM="./out_med_images"
mkdir $DIR
for i in $I
	do
		echo "Processing $i ..."
		$BIN $IDIR/$i 0 $DIR/seg${i} $DIR/bin${i} $DIR/reg${i}
	done
mkdir $DIRM
for i in $IM
        do
                echo "Processing $i ..."
                $BIN $IDIRM/$i 40 $DIRM/seg${i} $DIRM/bin${i} $DIRM/reg${i}
        done

